Create signal
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/signals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signalId": "<string>",
"name": "<string>",
"keyType": []
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/signals"
payload = {
"signalId": "<string>",
"name": "<string>",
"keyType": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({signalId: '<string>', name: '<string>', keyType: []})
};
fetch('https://api.interchange.io/api/v2/storefront/signals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"signal": {
"id": 0,
"signalId": "<string>",
"adcpAgentId": 0,
"name": "<string>",
"description": "<string>",
"keyType": [
"country"
],
"regions": [
"NORAM"
],
"metadata": {},
"isLive": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"access": [
{
"id": 0,
"signalId": 0,
"advertiserId": 123,
"visibility": "PUBLIC",
"price": {
"pricing_option_id": "<string>",
"pricing_model": "cpm",
"currency": "<string>",
"fixed_price": 1,
"floor_price": 1,
"max_bid": true,
"price_guidance": {
"p25": 1,
"p50": 1,
"p75": 1,
"p90": 1
},
"min_spend_per_package": 1,
"price_breakdown": {
"list_price": 1,
"adjustments": [
{
"kind": "fee",
"name": "<string>",
"rate": 123,
"amount": 123,
"description": "<string>",
"beneficiary": "<string>"
}
]
},
"eligible_adjustments": [
"fee"
]
},
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Signals
Create signal
Register a signal with key types, regions, and access configurations.
POST
/
signals
Create signal
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/signals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signalId": "<string>",
"name": "<string>",
"keyType": []
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/signals"
payload = {
"signalId": "<string>",
"name": "<string>",
"keyType": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({signalId: '<string>', name: '<string>', keyType: []})
};
fetch('https://api.interchange.io/api/v2/storefront/signals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"signal": {
"id": 0,
"signalId": "<string>",
"adcpAgentId": 0,
"name": "<string>",
"description": "<string>",
"keyType": [
"country"
],
"regions": [
"NORAM"
],
"metadata": {},
"isLive": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"access": [
{
"id": 0,
"signalId": 0,
"advertiserId": 123,
"visibility": "PUBLIC",
"price": {
"pricing_option_id": "<string>",
"pricing_model": "cpm",
"currency": "<string>",
"fixed_price": 1,
"floor_price": 1,
"max_bid": true,
"price_guidance": {
"p25": 1,
"p50": 1,
"p75": 1,
"p90": 1
},
"min_spend_per_package": 1,
"price_breakdown": {
"list_price": 1,
"adjustments": [
{
"kind": "fee",
"name": "<string>",
"rate": 123,
"amount": 123,
"description": "<string>",
"beneficiary": "<string>"
}
]
},
"eligible_adjustments": [
"fee"
]
},
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Body
application/json
Required string length:
1 - 255Pattern:
^[\w\-:.]+$Required string length:
1 - 255Minimum array length:
1Available options:
country, region, metro, topic, eidr, gracenote, isrc, gtin, rss_guid, isbn, url, url_hash, custom, maid, rampid, rampid_derived, hashed_email, hashed_phone, id5, uid2, euid, pairid Required string length:
1 - 255Maximum string length:
5000Maximum array length:
6Available options:
NORAM, LATAM, EMEA, APAC, ANZ, GLOBAL Show child attributes
Show child attributes
Show child attributes
Show child attributes